BareMetal API, REST: Configuration.ListConfigurationNetworkInterface
ConfigurationNetworkInterface is not a resource. --)
Retrieves the list of ConfigurationNetworkInterface resources.
HTTP request
GET https://baremetal.api.yandexcloud.kz/baremetal/v1alpha/configurationNetworkInterfaces
Query parameters
|
Field |
Description |
|
folderId |
string ID of the folder to list ConfigurationNetworkInterface resources in. |
|
pageSize |
string (int64) The maximum number of results per page to return. If the number of available The maximum value is 1000. |
|
pageToken |
string Page token. To get the next page of results, set |
|
orderBy |
string By which column the listing should be ordered and in which direction, |
|
filter |
string A filter expression that filters resources listed in the response.
|
Response
HTTP Code: 200 - OK
{
"configurationNetworkInterfaces": [
{
"id": "string",
"name": "string",
"configurationId": "string",
"linkSpeedGbps": "string",
"availableModes": [
"string"
],
"mcLagOptions": {
"interfaceCount": "string"
}
}
],
"nextPageToken": "string"
}
|
Field |
Description |
|
configurationNetworkInterfaces[] |
List of ConfigurationNetworkInterface resources. |
|
nextPageToken |
string Token for getting the next page of the list. If the number of results is greater than Each subsequent page will have its own |
ConfigurationNetworkInterface
|
Field |
Description |
|
id |
string Id of the network interface |
|
name |
string Name of the network interface |
|
configurationId |
string Id of the configuration |
|
linkSpeedGbps |
string (int64) Link speed in gigabits per second |
|
availableModes[] |
enum (InterfaceMode) Available modes for the network interface
|
|
mcLagOptions |
MC-LAG configuration options for aggregated interfaces |
MCLagAggregationOptions
MC-LAG aggregation options for the network interface.
|
Field |
Description |
|
interfaceCount |
string (int64) Number of interfaces in the MC-LAG aggregation. |